@charset "utf-8";

* {
    margin: 0;
    padding: 0;
    /*outline: thin dotted #5A5A5A; */
}

#index-body {
	background-image: url(../assets/img/background/nasa-89125-unsplash.jpg);
		/* https://unsplash.com/photos/rTZW4f02zY8 */
    background-size: contain;
	background-repeat: repeat-y; 
}
#menu-body {
	background-image: url(../assets/img/background/nasa---Eagle-Nebula---hubble_birthofstars_0.jpg);
		/* https://www.nasa.gov/feature/goddard/2017/messier-16-the-eagle-nebula */
    background-size: contain;
	background-repeat: repeat-y; 
}
#container {
    background-color: rgba(9,15,38,0.75);	
}
/*#flammarion-container img {
	display: block;
	margin-left: auto;
	margin-right: auto;
	width: 50%;
}*/
a:link, 
a:visited {
	color: #FDD4D3;
}
a:hover, 
a:active {
    color: #FDD4D3;
}

h1, 
h2, 
h3, 
p, 
form {
    color: #fdd4d3;
	/*
    border-radius: 128px;
    -webkit-box-shadow: 0px 0px 62px #000000;
    box-shadow: 0px 0px 62px #000000;
	*/
}
h2 {
	font-size: 1.175em;
}
section h1 {
	font-size: 1.67em;
}
h1, 
h2, 
h3, 
li, 
a, 
p, 
form,
form input, 
form button {
    font-family: ubuntu, sans-serif;
    /*background-color: rgba(9,15,38,0.65);*/
    z-index: 9;
    -webkit-box-shadow: 2px 2px 12px 1px #000000;
    box-shadow: 2px 2px 12px 1px #000000;	
}
header img,
footer img {
	width: 64px;
	height: 64px;
}
header h1, 
section h1, 
section h2, 
footer h1  {
    font-family: fondamento, "Palatino Linotype", serif;
	font-weight: normal;
	font-style: italic;
}
header li a, 
#menu-section h2 {
    font-family: fondamento, "Palatino Linotype", serif;
    font-size: 1.33em;
}
section h1, 
section h2 {
	font-style: normal;
}
section p, 
section li {    
	font-family: ubuntu, sans-serif;
    font-size: 0.925em;
    line-height: 1.6em;
    text-shadow: 3px 3px 1px #000;
	/*text-shadow: 1px 1px 2px #1A2A6C, 0 0 1em #1A2A6C, 0 0 0.2em #1A2A6C;*/
}

footer h1, 
footer li,
form span {
	text-shadow: 3px 3px 1px #000;
}

/*h1 {
    display: inline-block;
    text-align: center;	
}*/
main h1, 
main h2, 
main h3 {
	text-align: center;	
}


header, 
header ul, 
footer, 
footer ul {
	display: flex;
    justify-content: space-around;
    align-items: center;
	
}
header, 
main, 
footer {
    margin-right: 20%;
    margin-left: 20%;
	/*
    background-color: #090f26;
    border-radius: 128px;
    -webkit-box-shadow: inset 0px 0px 32px 4px #000000;
    box-shadow: inset 0px 0px 32px 4px #000000;
	*/
}
section {
    margin-bottom: 2em;
}
header li, 
footer li, 
section li {
    margin-top: 0.5em;
    margin-right: 0.5em;
    margin-left: 0.5em;
    margin-bottom: 0.5em;
    list-style-type: none;
	color: #fdd4d3;
	
}
header, 
section h1, 
section h2 {
    background-color: rgba(0,0,0,.75);
    -webkit-box-shadow: 2px 2px 12px 1px #000000;
    box-shadow: 2px 2px 12px 1px #000000;
}
header {
	position: sticky;
	top: 0;
	/*background-color: rgba(9,15,38,0.65);*/
	z-index: 10;
}
section h1 {
    position: sticky;
    top: 67px;
	/*float: left;
	transform: rotate(-90deg);*/
	
}
section h2 {
    position: sticky;
    top: 111px;
    /* [disabled]background-color: rgba(9,15,38,0.65);*/
    z-index: 8;
    /* [disabled]margin-top: 30%; */
    /* [disabled]margin-right: 20%; */
    /* [disabled]margin-left: 20%; */
    /* [disabled]margin-bottom: 9%; */
    margin-top: 8px;
}

section h1 {
    margin-left: 40%;
    margin-right: 40%;
}
section h2 {
    margin-left: 5%;
    margin-right: 5%;
}
footer {
	flex-direction: row-reverse;
}


section p {

}
/*.map {
    float: left;
    margin-right: 2em;
}*/

#input-flex-container {
	display: flex;
	flex-direction: column;
	
}
header {
    border-radius: 0px 0px 64px 64px;
}
section h1  {
    border-bottom-left-radius: 64px;
    border-bottom-right-radius: 64px;
}
section h2 {
    border-radius: 0px 48px;
}


section h2 {
	margin-left: 20px;
	margin-right: 20px;
}
header h1, 
header li, 
footer h1, 
footer li {
    border-radius: 64px;
    padding: 8px;
}

main h1, 
main h2 {
	margin-top: 0.5em;
    padding-left: 24px;
    padding-right: 24px;
    padding-top: 2px;
    padding-bottom: 2px;
}
#menu-section h1 {
	margin-left: 5%;
	margin-right: 5%;
}
.menu-items ul {
	width: 280px;
	text-align: center;
}
.menu-items {
	display: flex;
	flex-direction: row;
	flex-wrap: wrap;
	justify-content: center;
	flex-basis: auto;
}
/*.menu-items {    
	display: grid; 
	grid-gap: 9px;
	grid-template-areas: 'area area area area' 
						 'area area area area';
}*/
.menu-items li {
	margin-top: 0.5em;
    padding-left: 24px;
    padding-right: 24px;
    padding-top: 8px;
    padding-bottom: 8px;
    border-radius: 0px 48px;
    line-height: 1.4;
    display: inline-block;	
}

header h1,
header li,
main h1, 
main h2,
footer h1,
footer li,
.menu-items li,
#about-section li,
form input, 
form button {
	z-index: 7;
	transition: transform 0.15s;
}

header h1:hover,
header li:hover, 
main h1:hover, 
main h2:hover,
footer h1:hover,
footer li:hover, 
.menu-items li:hover,
#about-section li:hover,
form input:hover, 
form button:hover {
    transform: scale(1.25);
    -webkit-box-shadow: 6px 6px 18px -2px black;
    box-shadow: 6px 6px 18px -2px black;
}

a {
	text-decoration: none;
}

#about-section {
	background-image: url(../assets/img/background/Flammarion-Colorized.png);
		/* https://commons.wikimedia.org/wiki/File:Flammarion.jpg */
	background-size: cover;
	background-repeat: no-repeat;
}

#about-section-flex {
	display: flex;
	justify-content: space-around;
}
#about-section aside {
	width: 33.33%;
	margin-left: 1em;	
}
#about-section p {
	width: 66.67%;
	line-height: 2em;
	font-size: 1.1em;
}

p {
	z-index: 0;
}
h2 {
	z-index: 6 !important;
}

#about-section h2 {
	top: 67px;
}

#about-section p {
	margin-right: 1em;
	border-radius: 64px 64px 64px 64px;
	padding: 2em;
	padding-left: 3em;
	display: inline-flex;
}

#about-section li {
	display: inline-block;
}
#about-section ul ul li {
	margin-left: 50px;
}

#about-section li {
	margin-top: 0.5em;
    padding-left: 24px;
    padding-right: 24px;
    padding-top: 8px;
    padding-bottom: 8px;
    border-radius: 0px 48px;
}
#contact-section h1 {
    border-radius: 64px 64px 0px 0px;
}
#contact-flex-container {
	display: flex;
}
#contact-flex-container img {
	width: 33.33%;
}
#contact-flex-container p {
	width: 33.34%;
}
#input-flex-container {
	width: 33.33%;	
}
#contact-flex-container img, 
#contact-flex-container p, 
#input-flex-container {
	margin-left: 2em;
	margin-right: 2em;
}
#input-flex-container h2, 
#input-flex-container input, 
#input-flex-container button {
	margin-bottom: 0.25em;
}

form input, 
form button, 
form span {
	display: block;
	margin-left: auto;
	margin-right: auto;
	width: 65%;
	border-radius: 0px 48px;
}

form input[type="text"], 
form input[type="tel"], 
form input[type="date"], 
form input[type="time"], 
form input[type="number"],
form button {
	padding-left: 1.5em;
	padding-right: 1.5em;
	padding-top: 0.2em;
	padding-bottom: 0.2em;
}
#contact-section p {
	border-radius: 48px 48px;
	padding-top: 1em;
	padding-left: 1.5em;
	padding-right: 1.5em;
}
#contact-section form {
	border-radius: 48px 48px;
	padding-top: 1em;
	padding-bottom: 1em;
}
#contact-section h2,
#about-section h2 {
    border-radius: 64px 64px 0px 0px;
}
footer li, 
footer h1 {
    border-radius: 64px 64px 0px 0px;
	padding-left: 1em;
	padding-right: 1em;
}
header a,
footer a {
	box-shadow: none;	
}






